//
// Created by philipp on 20.05.18.
//

#include "NetworkingLib/DatagramReceiver.h"
#include <iostream>

int main(int argc, char ** argv)
{
    using namespace std::chrono_literals;
    networking::Networking net;
    auto receiver = networking::message::DatagramReceiver<std::string>::create(net, 10000);
    auto last = networking::time::now();
    receiver->asyncReceive(
        1s,
        [&](const auto & error, auto & message, const std::string & host, std::uint16_t port)
        {
            auto now = networking::time::now();
            auto delta = now - last;
            std::cout << "Content: " << message << "\n"
                      << "Delta time: " << std::chrono::duration_cast<std::chrono::milliseconds>(delta).count() << "\n\n";
            last = now;
        });

    while (1);
    return 0;
}